+++
title = "Projects"
weight = 5

[extra]
show_reading_time = false
+++

A selection of projects and associations I am (or was) involved with.

## Computer Science & Open Source

{% references() %}

**_qo.is_: co-founder, board member and infrastructure lead**  
Association providing decentral, privacy-first ICT infrastructure to its members. Based on NixOS.

[**NixOS**](https://nixos.org/)  
Package Maintainer and active community member.

[**Redbackup**](https://github.com/redbackup)  
Prototype of a distributed backups software written in
[Rust](https://www.rust-lang.org/).  
Joint study project with [Raphael Zimmermann](https://www.raphael.li).

[**XMPP-Grid Broker**](https://xmpp-grid-broker.github.io)  
Feasibility study and implementation prototype of
[RFC8600](https://tools.ietf.org/html/rfc8600) as contribution to
the (then ongoing) standardization process.  
Joint bachelor thesis with [Raphael Zimmermann](https://www.raphael.li).

**[open\\OST](https://openost.ch/)**: **Co-founder and former board
member**  
Association to advance the open source community and usage of
alternative operation systems (particularly Linux) at HSR University
of Applied Sciences (now OST).

**open\\HSR Git/GitHub Workshop** 2019

**open\\HSR Linux Workshop** 2020

**open\\HSR Connect**  
Prototype of a lecture slide, documents and notes managing tool for
students.

[**Swiss Python Summit**](https://python-summit.ch) helper (2017,
2018)

[**ZuriHac**](https://www.zurihac.info) attendee/helper (2019)

[**Dafny programming language**](https://github.com/dafny-lang) and,
in particular, the [VSCode IDE Dafny integration](https://github.com/dafnyvscode) with a
[LSP](https://microsoft.github.io/language-server-protocol/)
integration

[**Das Studentenportal**](https://studentenportal.ch/)  
Platform for students to exchange learning aids, announcing events
(mostly parties) and sharing funny anecdotes.

**Various small side projects** -- take a look at my [GitHub profile](https://github.com/fabianhauser/)

{% end %}


## Various

{% references() %}



[**Coredump**](https://www.coredump.ch) Hacker- and Makerspace
Rapperswil-Jona

[**Various lecture
summaries**](https://github.com/michiwieland/hsr-zusammenfassungen)
together with [Michael Wieland](https://michiwieland.dev/)

[**Little House on the
Prairie**](https://littlehouseontheprairie.ch) (website)

[**Emmentaler Filmtage**](https://emmentaler-filmtage.ch) a short
film festival in the rural area of Emmental (Switzerland, 2009-2014)

[**Klettergarten Ilanz/Schnaus**](https://www.klettern-gr.ch/)
realization of a climbing area near Ilanz and Schnaus and former
website

[**Spielgruppe Ilanz**](https://spielgruppe-ilanz.ch/) former
website and technology support

{% end %}
